Thread (33 messages) 33 messages, 6 authors, 2021-06-15

Re: [GSoC] [PATCH 1/2] submodule--helper: introduce add-clone subcommand

From: Christian Couder <hidden>
Date: 2021-06-06 09:07:34

Hi,

On Sun, Jun 6, 2021 at 5:38 AM Bagas Sanjaya [off-list ref] wrote:
Hi,

On 05/06/21 18.39, Atharva Raykar wrote:
quoted
+     git submodule--helper add-clone ${GIT_QUIET:+--quiet} ${force:+"--force"} ${progress:+"--progress"} ${branch:+--branch "$branch"} --prefix "$wt_prefix" --path "$sm_path" --name "$sm_name" --url "$realrepo" ${reference:+"$reference"} ${dissociate:+"--dissociate"} ${depth:+"$depth"} || exit
What is the exit code you mean in case of error?
The exit code of the above is the same as the exit code of what's
before `|| exit`.

For example:

$ ( ( exit 10 ) || exit ); echo $?
10
quoted
      git config submodule."$sm_name".url "$realrepo"

      git add --no-warn-embedded-repo $force "$sm_path" ||
Is `git` executable that found in $PATH used? I have both
distro-packaged Git and custom-compiled Git installed, and I would like
the latter to be able to use git-submodule from its own install prefix
(/path/to/git-prefix or whatsever).
This is a different issue than what this patch is doing.
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help